Gem::Specification.new do |s|
  s.name = 'logstash-output-picsv'
  s.version         = "1.0.7.4" # 0916@2:35PM
  s.licenses = ["Apache-2.0"]
  s.summary = "Receives a stream of events and outputs files meeting the csv format for IBM Operation Analytics Predictive Insights"
  # Need to validate 1.5 standalone gemfile compatibility; gemfile exists!
  s.description = "This gem is a logstash plugin required to be installed on top of the Logstash core pipeline using $LS_HOME/bin/plugin install gemname. This gem is not a stand-alone program"
  s.authors = ["ORIG:Robert Mckeown, Update:Jim Ray"]
  s.email = "raygj@us.ibm.com"
  s.homepage = "https://github.com/raygj/logstash-output-picsv/README.md"
  s.require_paths = ["lib"]

  # Files
  # s.files = `git ls-files`.split($\) # original line
  s.files = Dir['lib/**/*','spec/**/*','vendor/**/*','*.gemspec','*.md','CONTRIBUTORS','Gemfile','LICENSE','NOTICE.TXT']
  
  # Tests
  s.test_files = s.files.grep(%r{^(test|spec|features)/})

  # Special flag to let us know this is actually a logstash plugin
  s.metadata = { "logstash_plugin" => "true", "logstash_group" => "output" }

  # Gem dependencies
  s.add_runtime_dependency "logstash-core-plugin-api", ">= 1.60", "<= 2.99"
  s.add_runtime_dependency "logstash-codec-plain"
  s.add_development_dependency "logstash-devutils"
  
 # Jar dependencies
  s.requirements << "jar 'org.elasticsearch:elasticsearch', '1.4.0'"
  s.add_runtime_dependency 'jar-dependencies'
end